Subject: Re: [PATCH v6 2/3] installer: Recommend 'ntp-service-type' for non-graphical systems.

From: Leo Famulari <[email-masked]>
Date: Sun, 26 Dec 2021 15:33:40 -0500

On Sun, Dec 26, 2021 at 03:31:30PM -0500, Leo Famulari wrote:
> We had several bug reports with a root cause of "the clock was
> incorrect" from users who used the installer to install a non-graphical
> Guix System.
> 
> * gnu/installer/services.scm (%system-services): Add the ntp-service-type.
> * gnu/installer/newt/services.scm (run-system-administration-cbt-page): New
> variable.
> (run-services-page): Use run-system-administration-cbt-page when not
> installing a desktop.
> * gnu/installer/tests.scm (choose-services): Add and use a
> choose-misc-service?  procedure.
> * gnu/tests/install.scm (installation-target-os-for-gui-tests)<services>: Add
> ntp-service-type.

Here's v6 of this patch series.

With it, the installer successfully installs systems with and without
%desktop-services, and correctly chooses whether or not to offer NTP and
GPM.

It also passes `make check-system TESTS="gui-installed-os"`.

I think it's ready to go.